/**
 * 地图
 * @author Bygones
 */

layui.define(function(exports){
    //区块轮播切换
    layui.use(['admin', 'carousel'], function(){
        var $ = layui.$
            ,admin = layui.admin
            ,carousel = layui.carousel
            ,element = layui.element
            ,device = layui.device();

        //轮播切换
        $('.layadmin-carousel').each(function(){
            var othis = $(this);
            carousel.render({
                elem: this
                ,width: '100%'
                ,arrow: 'none'
                ,interval: othis.data('interval')
                ,autoplay: othis.data('autoplay') === true
                ,trigger: (device.ios || device.android) ? 'click' : 'hover'
                ,anim: othis.data('anim')
            });
        });

        element.render('progress');

    });

    //数据概览
    layui.use(['admin', 'carousel', 'echarts'], function(){
        var $ = layui.$
            ,admin = layui.admin
            ,carousel = layui.carousel
            ,echarts = layui.echarts,api=layui.cache.web_api_name;
        $.ajax({
            url:'/api/'+api+'/info_data',
            type:'post',
            dateType:'json',
            success:function(response){
                let ip_hours = [];
                let ip_num = [];
                $.each(response.data.ip_num,function(k,v){
                    ip_hours.push(v.hours)
                    ip_num.push(v.ip_num)
                });
                let uv_hours = [];
                let uv_num = [];
                $.each(response.data.uv_num,function(k,v){
                    uv_hours.push(v.hours)
                    uv_num.push(v.uv_num)
                });
                let pv_hours = [];
                let pv_num = [];
                $.each(response.data.pv_num,function(k,v){
                    pv_hours.push(v.hours)
                    pv_num.push(v.pv_num)
                });
                let hours;
                hours = ip_hours.length > uv_hours.length ? ip_hours : uv_hours;
                hours = hours.length>pv_hours.length ? hours : pv_hours;
                let browser = [];
                for (let i = 1; i <= response.data.browser.length; i++) {
                    browser.push(response.data.browser[i-1]['name']);
                }
                let week_time = [];
                let week_reg_num = [];
                for (let i = 1; i <= response.data.week_reg_user.length; i++) {
                    week_time.push(response.data.week_reg_user[i-1]['week_time']);
                    week_reg_num.push(response.data.week_reg_user[i-1]['num']);
                }
                var echartsApp = [], options = [
                    //今日流量趋势
                    {
                        title: {
                            text: '今日流量趋势',
                            x: 'center',
                            textStyle: {
                                fontSize: 14
                            }
                        },
                        tooltip : {
                            trigger: 'axis'
                        },
                        legend: {
                            data:['','']
                        },
                        xAxis : [{
                            type : 'category',
                            boundaryGap : false,
                            data: hours,
                        }],
                        yAxis : [{
                            type : 'value'
                        }],
                        series : [{
                            name:'IP',
                            type:'line',
                            smooth:true,
                            itemStyle: {normal: {areaStyle: {type: 'default'}}},
                            data: ip_num,
                        },{
                            name:'UV',
                            type:'line',
                            smooth:true,
                            itemStyle: {normal: {areaStyle: {type: 'default'}}},
                            data: uv_num,
                        },{
                            name:'PV',
                            type:'line',
                            smooth:true,
                            itemStyle: {normal: {areaStyle: {type: 'default'}}},
                            data: pv_num,
                        }]
                    },

                    //访客浏览器分布
                    {
                        title : {
                            text: '访客浏览器分布',
                            x: 'center',
                            textStyle: {
                                fontSize: 14
                            }
                        },
                        tooltip : {
                            trigger: 'item',
                            formatter: "{a} <br/>{b} : {c} ({d}%)"
                        },
                        legend: {
                            orient : 'vertical',
                            x : 'left',
                            data:browser
                        },
                        series : [{
                            name:'访问来源',
                            type:'pie',
                            radius : '55%',
                            center: ['50%', '50%'],
                            data:response.data.browser
                        }]
                    },

                    //新增的用户量
                    {
                        title: {
                            text: '最近一周新增的用户量',
                            x: 'center',
                            textStyle: {
                                fontSize: 14
                            }
                        },
                        tooltip : { //提示框
                            trigger: 'axis',
                            formatter: "{b}<br>新增用户：{c}"
                        },
                        xAxis : [{ //X轴
                            type : 'category',
                            data : week_time
                        }],
                        yAxis : [{  //Y轴
                            type : 'value'
                        }],
                        series : [{ //内容
                            type: 'line',
                            data:week_reg_num,
                        }]
                    }
                ],
                elemDataView = $('#data-graph').children('div')
                renderDataView = function(index){
                    echartsApp[index] = echarts.init(elemDataView[index], layui.echartsTheme);
                    echartsApp[index].setOption(options[index]);
                    //window.onresize = echartsApp[index].resize;
                    admin.resize(function(){
                        echartsApp[index].resize();
                    });
                };
                //没找到DOM，终止执行
                if(!elemDataView[0]) return;
                renderDataView(0);

                //监听数据概览轮播
                var carouselIndex = 0;
                carousel.on('change(data-graph)', function(obj){
                    renderDataView(carouselIndex = obj.index);
                });
                //监听侧边伸缩
                layui.admin.on('side', function(){
                    setTimeout(function(){
                        renderDataView(carouselIndex);
                    }, 300);
                });
            }
        });
    });
    exports('datagraph', {})
});