/**
 * @author Bygones
 * 网址列表
 */
layui.define(['table', 'form'], function(exports){
    var $ = layui.$
        ,table = layui.table
        ,form = layui.form,api=layui.cache.web_api_name;
    table.render({
        elem: '#admin-dwz-list'
        ,url: '/api/'+api+'/dwz_list'
        ,method:'post'
        ,headers:{
            'X-CSRF-TOKEN':$('meta[name=csrf-token]').attr('content')
        }
        ,parseData: function(res){ //res 即为原始返回的数据
            return {
                "code": res.code, //解析接口状态
                "msg": res.message, //解析提示文本
                "count": res.data.length, //解析数据长度
                "data": res.data //解析数据列表
            };
        }
        ,cols: [[
            {type: 'checkbox', fixed: 'left'}
            ,{field: 'id', width: 100, title: 'ID', sort: true}
            ,{field: 'user_id', title: '用户id'}
            ,{field: 'title', title: '页面标题'}
            ,{field: 'dwz_url', title: '短网址', minWidth: 100}
            ,{field: 'location_url', title: '原网址', minWidth: 100}
            ,{field: 'create_time', title: '添加时间', sort: true}
            ,{title: '操作', width: 200, align:'center', fixed: 'right', toolbar: '#table-useradmin-webuser'}
        ]]
        ,page: true
        ,limit: 30
        ,height: 'full-220'
        ,text:{
            none:'没有更多数据了'
        }
    });
    //监听工具条
    table.on('tool(admin-dwz-list)', function(obj){
        var data = obj.data
        let ids = []
        ids.push(data.id)
        if(obj.event === 'del'){
            layer.confirm('真的删除行么', function(index){
                $.ajax({
                    url: '/api/'+api+'/dwz_del',
                    type:'post',
                    data:{ids:ids},
                    dateType:'json',
                    success:function(res){
                        if(res.code == 0){
                            layer.msg(res.message)
                            obj.del()
                        }
                    }
                });
                layer.close(index);
            });
        } else if(obj.event === 'edit'){
            var tr = $(obj.tr);
            layer.open({
                type: 2
                , title: '编辑网址 注意:标识为空不修改'
                , content: '/' + api + '/dwz_update?id=' + data.id
                , maxmin: true
                , area: ['500px', '450px']
                , btn: ['确定', '取消']
                , yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index]
                        , submitID = 'admin-user-update'
                        , submit = layero.find('iframe').contents().find('#' + submitID);

                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        $.ajax({
                            url: '/api/' + api + '/dwz_update',
                            data: field,
                            type: 'post',
                            dataType: 'json',
                            success: function (res) {
                                if (res.code == 0) {
                                    layer.msg(res.message, {
                                        icon: 1,
                                        time: 1000
                                    });
                                    table.reload('admin-dwz-list'); //数据刷新
                                    layer.close(index); //关闭弹层
                                } else {
                                    layer.msg(res.message, {
                                        icon: 5,
                                        time: 1000
                                    });
                                }
                            }
                        });
                        table.reload('admin-dwz-list'); //数据刷新
                        layer.close(index); //关闭弹层
                    });

                    submit.trigger('click');
                }
            });
        } else if(obj.event === 'data'){
            layer.open({
                type: 2
                , title: '数据分析'
                , content: '/' + api + '/dwz_info?id=' + data.id
                , maxmin: true
                , area: ['1000px', '750px']
                , btn: ['确定', '取消']
                , yes: function (index, layero) {
                    layer.close(index); //关闭弹层
                }
            });
        }
    });
    exports('dwzurllist', {})
});