/**
 * 地图
 * @author Bygones
 */

layui.define(function(exports){
        layui.use(['carousel', 'echarts'], function(){
        var $ = layui.$
            ,carousel = layui.carousel
            ,echarts = layui.echarts,api=layui.cache.web_api_name;
            $.ajax({
                url:'/api/'+api+'/map_data',
                type:'post',
                dateType:'json',
                success:function(response){
                    var echplat = [], plat = [
                    {
                        title : {
                            text: '全国流量分布图(总)',
                            subtext: '数据来自LoveLife短网址分发系统自动分析'
                        },
                        tooltip : {
                            trigger: 'item'
                        },
                        dataRange: {
                            orient: 'horizontal',
                            min: 0,
                            max: 55000,
                            text:['高','低'],           // 文本，默认为数值文本
                            splitNumber:0
                        },
                        series : [
                            {
                                name: '全国流量分布图(总)',
                                type: 'map',
                                mapType: 'china',
                                mapLocation: {
                                    x: 'center'
                                },
                                selectedMode : 'multiple',
                                itemStyle:{
                                    normal:{label:{show:true}},
                                    emphasis:{label:{show:true}}
                                },
                                data:response.data
                            }
                        ]
                    }
                ]
                    ,elemplat = $('#LAY-index-plat').children('div')
                    ,renderplat = function(index){
                    echplat[index] = echarts.init(elemplat[index], layui.echartsTheme);
                    echplat[index].setOption(plat[index]);
                    window.onresize = echplat[index].resize;
                };
                if(!elemplat[0]) return;
                renderplat(0);
            }
        });
    });
    exports('map', {})
});
