/**

 @Name：layuiAdmin 用户管理 管理员管理 角色管理
 @Author：star1029
 @Site：http://www.layui.com/admin/
 @License：LPPL

 */


layui.define(['table', 'form'], function(exports){
    var $ = layui.$
        ,table = layui.table
        ,form = layui.form,api=layui.cache.web_api_name;
    //用户管理
    table.render({
        elem: '#admin-user-list'
        ,url: '/api/'+api+'/user_list'
        ,method:'post'
        ,headers:{
            'X-CSRF-TOKEN':$('meta[name=csrf-token]').attr('content')
        }
        ,parseData: function(res){ //res 即为原始返回的数据
            return {
                "code": res.code, //解析接口状态
                "msg": res.message, //解析提示文本
                "count": res.data.length, //解析数据长度
                "data": res.data //解析数据列表
            };
        }
        ,cols: [[
            {type: 'checkbox', fixed: 'left'}
            ,{field: 'id', width: 100, title: 'ID', sort: true}
            ,{field: 'name', title: '昵称', minWidth: 100}
            ,{field: 'username', title: '用户名', width: 100}
            ,{field: 'ip', title: 'IP'}
            ,{field: 'reg_time', title: '注册时间', sort: true}
            ,{field: 'last_time', title: '最后一次登录时间', sort: true}
            ,{title: '操作', width: 150, align:'center', fixed: 'right', toolbar: '#table-useradmin-webuser'}
        ]]
        ,page: true
        ,limit: 30
        ,height: 'full-220'
        ,text:{
            none:'没有更多数据了'
        }
    });

    //监听工具条
    table.on('tool(admin-user-list)', function(obj){
        var data = obj.data
        let ids = []
        ids.push(data.id)
        if(obj.event === 'del'){
            layer.confirm('真的删除行么', function(index){
                $.ajax({
                    url: '/api/'+api+'/user_del',
                    type:'post',
                    data:{ids:ids},
                    dateType:'json',
                    success:function(res){
                        if(res.code == 0){
                            layer.msg(res.message)
                            obj.del()
                        }
                    }
                });
                layer.close(index);
            });
        } else if(obj.event === 'edit'){
            var tr = $(obj.tr);
            layer.open({
                type: 2
                ,title: '编辑用户'
                ,content: '/'+api+'/user_update?id='+data.id
                ,maxmin: true
                ,area: ['500px', '450px']
                ,btn: ['确定', '取消']
                ,yes: function(index, layero){
                    var iframeWindow = window['layui-layer-iframe'+ index]
                        ,submitID = 'admin-user-update'
                        ,submit = layero.find('iframe').contents().find('#'+ submitID);

                    //监听提交
                    iframeWindow.layui.form.on('submit('+ submitID +')', function(data){
                        var field = data.field; //获取提交的字段
                        $.ajax({
                            url: '/api/'+api+'/user_update',
                            data: field,
                            type:'post',
                            dataType:'json',
                            success: function(res){
                                if(res.code == 0){
                                    layer.msg(res.message, {
                                        icon: 1,
                                        time: 1000
                                    });
                                    table.reload('admin-user-list'); //数据刷新
                                    layer.close(index); //关闭弹层
                                } else {
                                    layer.msg(res.message, {
                                        icon: 5,
                                        time: 1000
                                    });
                                }
                            }
                        });
                        table.reload('admin-user-update'); //数据刷新
                        layer.close(index); //关闭弹层
                    });

                    submit.trigger('click');
                }
                ,success: function(layero, index){

                }
            });
        }
    });
    exports('useradmin', {})
});