/**
 * @author Bygones
 * 用户登录日志
 */
layui.define(['table', 'form'], function(exports){
    var $ = layui.$
        ,table = layui.table
        ,form = layui.form,api=layui.cache.web_api_name;
    table.render({
        elem: '#admin-user-login-log'
        ,url: '/api/'+api+'/user_login_log_list'
        ,method:'post'
        ,headers:{
            'X-CSRF-TOKEN':$('meta[name=csrf-token]').attr('content')
        }
        ,parseData: function(res){ //res 即为原始返回的数据
            return {
                "code": res.code, //解析接口状态
                "msg": res.message, //解析提示文本
                "count": res.data.length, //解析数据长度
                "data": res.data //解析数据列表
            };
        }
        ,cols: [[
            {type: 'checkbox', fixed: 'left'}
            ,{field: 'id', width: 100, title: 'ID', sort: true}
            ,{field: 'uid', width: 100, title: 'UID', sort: true}
            ,{field: 'name', title: '昵称', minWidth: 100}
            ,{field: 'username', title: '用户名', width: 100}
            ,{field: 'ip', title: 'IP'}
            ,{field: 'login_time', title: '登录时间', sort: true}
            ,{title: '操作', width: 150, align:'center', fixed: 'right', toolbar: '#table-useradmin-webuser'}
        ]]
        ,page: true
        ,limit: 30
        ,height: 'full-220'
        ,text:{
            none:'没有更多数据了'
        }
    });

    //监听工具条
    table.on('tool(admin-user-login-log)', function(obj){
        var data = obj.data
        let ids = []
        ids.push(data.id)
        if(obj.event === 'del'){
            layer.confirm('真的删除行么', function(index){
                $.ajax({
                    url: '/api/'+api+'/user_login_log_del',
                    type:'post',
                    data:{ids:ids},
                    dateType:'json',
                    success:function(res){
                        if(res.code == 0){
                            layer.msg(res.message)
                            obj.del()
                        }
                    }
                });
                layer.close(index);
            });
        } else if(obj.event === 'edit'){
        }
    });
    exports('userloginlog', {})
});