

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>短网址分发系统 LoveLife官方出品</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="csrf-token" content="{{csrf_token()}}">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" href="../layuiadmin/layui/css/layui.css" media="all">
	<link rel="stylesheet" href="../layuiadmin/style/admin.css" media="all">
</head>
<body class="layui-layout-body">

<div id="LAY_app">
	<div class="layui-layout layui-layout-admin">
		<div class="layui-header">
			<!-- 头部区域 -->
			<ul class="layui-nav layui-layout-left">
				<li class="layui-nav-item layadmin-flexible" lay-unselect>
					<a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
						<i class="layui-icon layui-icon-shrink-right" id="LAY_app_flexible"></i>
					</a>
				</li>
				<li class="layui-nav-item layui-hide-xs" lay-unselect>
					<a href="/" target="_blank" title="前台">
						<i class="layui-icon layui-icon-website"></i>
					</a>
				</li>
				<li class="layui-nav-item" lay-unselect>
					<a href="javascript:;" layadmin-event="refresh" title="刷新">
						<i class="layui-icon layui-icon-refresh-3"></i>
					</a>
				</li>
			</ul>
			<ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">
				<li class="layui-nav-item" lay-unselect>
					<a href="javascript:;">
						<cite>{{$user['name']}}</cite>
					</a>
					<dl class="layui-nav-child">
						<dd><a lay-href="{{url(env('WEB_ADMIN').'/admin_user_update')}}?id={{$user['id']}}">修改密码</a></dd>
						<hr>
						<dd id="logout" style="text-align: center;"><a>退出</a></dd>
					</dl>
				</li>

				<li class="layui-nav-item layui-hide-xs" lay-unselect>
					<a href="javascript:;" layadmin-event="about"><i class="layui-icon layui-icon-more-vertical"></i></a>
				</li>
				<li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
					<a href="javascript:;" layadmin-event="more"><i class="layui-icon layui-icon-more-vertical"></i></a>
				</li>
			</ul>
		</div>

		<!-- 侧边菜单 -->
		<div class="layui-side layui-side-menu">
			<div class="layui-side-scroll">
				<div class="layui-logo" lay-href="javascript:;">
					<span>LoveLife</span>
				</div>

				<ul class="layui-nav layui-nav-tree" lay-shrink="all" id="LAY-system-side-menu" lay-filter="layadmin-system-side-menu">
					<li data-name="home" class="layui-nav-item layui-nav-itemed">
						<a href="javascript:;" lay-tips="主页" lay-direction="2">
							<i class="layui-icon layui-icon-home"></i>
							<cite>主页</cite>
						</a>
						<dl class="layui-nav-child">
							<dd data-name="console" class="layui-this">
								<a lay-href="{{url(env('WEB_ADMIN').'/indexV1')}}">控制台</a>
							</dd>
						</dl>
					</li>
					<li data-name="component" class="layui-nav-item">
						<a href="javascript:;" lay-tips="应用" lay-direction="2">
							<i class="layui-icon layui-icon-app"></i>
							<cite>应用</cite>
						</a>
						<dl class="layui-nav-child">
							<dd data-name="grid">
								<a lay-href="{{url(env('WEB_ADMIN').'/dwz_list')}}">短网址列表</a>
							</dd>
						</dl>
					</li>
					<li data-name="component" class="layui-nav-item">
						<a href="javascript:;" lay-tips="用户" lay-direction="2">
							<i class="layui-icon layui-icon-user"></i>
							<cite>用户</cite>
						</a>
						<dl class="layui-nav-child">
							@if($user['max_auth'] == 1)
							<dd data-name="grid">
								<a lay-href="{{url(env('WEB_ADMIN').'/user_list')}}">用户管理</a>
							</dd>
							@endif
							<dd data-name="grid">
								<a lay-href="{{url(env('WEB_ADMIN').'/user_login_log')}}">用户登录记录</a>
							</dd>
						</dl>
					</li>
				</ul>
			</div>
		</div>

		<!-- 页面标签 -->
		<div class="layadmin-pagetabs" id="LAY_app_tabs">
			<div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage"></div>
			<div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage"></div>
			<div class="layui-icon layadmin-tabs-control layui-icon-down">
				<ul class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
					<li class="layui-nav-item" lay-unselect>
						<a href="javascript:;"></a>
						<dl class="layui-nav-child layui-anim-fadein">
							<dd layadmin-event="closeThisTabs"><a href="javascript:;">关闭当前标签页</a></dd>
							<dd layadmin-event="closeOtherTabs"><a href="javascript:;">关闭其它标签页</a></dd>
							<dd layadmin-event="closeAllTabs"><a href="javascript:;">关闭全部标签页</a></dd>
						</dl>
					</li>
				</ul>
			</div>
			<div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
				<ul class="layui-tab-title" id="LAY_app_tabsheader">
					<li lay-id="" lay-attr="" class="layui-this"><i class="layui-icon layui-icon-home"></i></li>
				</ul>
			</div>
		</div>


		<!-- 主体内容 -->
		<div class="layui-body" id="LAY_app_body">
			<div class="layadmin-tabsbody-item layui-show">
				<iframe src="{{url(env('WEB_ADMIN').'/indexV1')}}" frameborder="0" class="layadmin-iframe"></iframe>
			</div>
		</div>

		<!-- 辅助元素，一般用于移动设备下遮罩 -->
		<div class="layadmin-body-shade" layadmin-event="shade"></div>
	</div>
</div>

<script src="../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use('index',function(){
    	let $ = layui.$;
    	$('#logout').click(function(){
			$.ajax({
				url:'/api/{{env('WEB_ADMIN')}}/logout',
				type:'get',
				success:function(){
					window.location.reload(true);
				}
			})
		});
	});
</script>
</body>
</html>


