

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>添加用户</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../../layuiadmin/layui/css/layui.css" media="all">
</head>
<body>

<div class="layui-form" lay-filter="layuiadmin-form-useradmin" id="layuiadmin-form-useradmin" style="padding: 20px 0 0 0;">
    <div class="layui-form-item">
        <label class="layui-form-label">标识</label>
        <div class="layui-input-inline">
            <input type="text" name="dwz_url" value="<?php echo e($url_data['dwz_url']); ?>" placeholder="短网址标识" autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label">标题</label>
        <div class="layui-input-inline">
            <input type="text" name="title" value="<?php echo e($url_data['title']); ?>" placeholder="网址标题，不输入自动获取" autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label">原网址</label>
        <div class="layui-input-inline">
            <input type="text" name="location_url" value="<?php echo e($url_data['location_url']); ?>" placeholder="原网址" autocomplete="off" class="layui-input">
        </div>
    </div>
    <input type="hidden" value="<?php echo e($url_data['id']); ?>" name="id">
    <div class="layui-form-item layui-hide">
        <input type="button" lay-submit lay-filter="admin-user-update" id="admin-user-update" value="确认">
    </div>
</div>

<script src="../../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form'], function(){
        var $ = layui.$,form = layui.form
        $('input[name=location_url]').blur(function(){
            let location_url = $('input[name=location_url]').val();
            if(location_url == ''){
                return false;
            }
            $.ajax({
                url:'/api/<?php echo e(env('WEB_ADMIN')); ?>/get_url_title',
                type:'post',
                data:{location_url:location_url},
                dateType:'json',
                success:function(res){
                    if(res.code == 0){
                        $('input[name=title]').val(res.data.title);
                        layer.msg(res.message)
                    }else{
                        if(res.message == 'no'){
                            return layer.msg('暂未获取到标题，请手动填写标题')
                        }
                        layer.msg(res.message)
                    }
                }
            });
        });
    })
</script>
</body>
</html>