

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>登入 - 短网址分发系统</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
	<link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
	<link rel="stylesheet" href="../../layuiadmin/style/login.css" media="all">
</head>
<body>

<div class="layadmin-user-login layadmin-user-display-show" id="admin-user-login" style="display: none;">
	<div class="layadmin-user-login-main">
		<div class="layadmin-user-login-box layadmin-user-login-header">
			<h2>短网址分发系统</h2>
			<p>LoveLife 官方出品</p>
		</div>
		<div class="layadmin-user-login-box layadmin-user-login-body layui-form">
			<div class="layui-form-item">
				<label class="layadmin-user-login-icon layui-icon layui-icon-username"></label>
				<input type="text" name="username" placeholder="用户名" class="layui-input">
			</div>
			<div class="layui-form-item">
				<label class="layadmin-user-login-icon layui-icon layui-icon-password"></label>
				<input type="password" name="password" placeholder="密码" class="layui-input">
			</div>
			<div class="layui-form-item">
				<div class="layui-row">
					<div class="layui-col-xs7">
						<label class="layadmin-user-login-icon layui-icon layui-icon-vercode"></label>
						<input type="text" name="captcha" placeholder="图形验证码" class="layui-input">
					</div>
					<div class="layui-col-xs5">
						<div style="margin-left: 10px;">
							<img src="<?php echo e(captcha_src()); ?>" style="cursor: pointer" onclick="this.src='<?php echo e(captcha_src()); ?>'+Math.random()">
						</div>
					</div>
				</div>
			</div>
			<div class="layui-form-item" style="margin-bottom: 20px;">

				<a href="javascript:;" class="forgetPassword layadmin-user-jump-change layadmin-link" style="margin-top: 7px;">忘记密码？</a>
			</div>
			<div class="layui-form-item">
				<button class="layui-btn layui-btn-fluid" lay-submit lay-filter="admin-user-login">登 入</button>
			</div>
			<div class="layui-trans layui-form-item layadmin-user-login-other">
				<a href="<?php echo e(url(env('WEB_ADMIN').'/auth/register')); ?>" class="layadmin-user-jump-change layadmin-link">注册帐号</a>
			</div>
		</div>
	</div>
</div>

<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index','form'], function(){
        var $ = layui.$, admin = layui.admin, form = layui.form;
        form.render();
        //提交
        form.on('submit(admin-user-login)', function(obj){
            var field = obj.field;
            //请求登入接口
            $.ajax({
                url: "/api/<?php echo e(env('WEB_ADMIN')); ?>/auth/login",
                data: field,
                type:'post',
                dataType:'json',
                success: function(res){
                    if(res.code == 0){
                        layer.msg(res.message, {
                            icon: 1,
                            time: 1000
                        }, function(){
                            location.href = '<?php echo e(url(env('WEB_ADMIN'))); ?>';
                        });
                    } else {
                        layer.msg(res.message, {
                            icon: 5,
                            time: 1000
                        });
                    }
                }
            });

        });
        $('.forgetPassword').click(function(){
            layer.msg('请联系管理员', {
	            icon: 1,
	            time: 1000
            });
        });
    });
</script>
</body>
</html>