

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>layuiAdmin 网站用户</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" href="../../../layuiadmin/layui/css/layui.css" media="all">
	<link rel="stylesheet" href="../../../layuiadmin/style/admin.css" media="all">
</head>
<body>

<div class="layui-fluid">
	<div class="layui-card">
		<div class="layui-form layui-card-header layuiadmin-card-header-auto">
			<div class="layui-card-body">
				<div style="padding-bottom: 10px;">
					<button class="layui-btn layuiadmin-btn-useradmin" data-type="batchdel">删除</button>
				</div>
				<table id="admin-user-login-log" lay-filter="admin-user-login-log"></table>
				<script type="text/html" id="table-useradmin-webuser">
					<a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
				</script>
			</div>
		</div>
	</div>
</div>
	<script src="../../../layuiadmin/layui/layui.js"></script>
	<script>
        layui.config({
            base: '../../../layuiadmin/', //静态资源所在路径
            web_api_name:"<?php echo e(env('WEB_ADMIN')); ?>"
        }).extend({
            index: 'lib/index' //主入口模块
        }).use(['index', 'userloginlog', 'table'], function(){
            var $ = layui.$
                ,form = layui.form
                ,table = layui.table;

            //事件
            var active = {
                batchdel: function(){
                    var checkStatus = table.checkStatus('admin-user-login-log')
                        ,checkData = checkStatus.data; //得到选中的数据
                    if(checkData.length === 0){
                        return layer.msg('请选择数据');
                    }
                    let ids = []
                    $.each(checkData,function(k,v){
                        ids.push(v.id)
                    })
                    layer.confirm('确定删除吗？', function(index) {
                        $.ajax({
                            url: '/api/<?php echo e(env('WEB_ADMIN')); ?>/user_login_log_del',
                            type:'post',
                            data:{ids:ids},
                            dateType:'json',
                            success:function(res){
                                if(res.code == 0){
                                    layer.msg(res.message)
                                    layer.close(index);
                                    table.reload('admin-user-login-log');
                                    layer.msg('已删除');
                                }
                            }
                        });

                    });
                }
            };
            $('.layui-btn.layuiadmin-btn-useradmin').on('click', function(){
                var type = $(this).data('type');
                active[type] ? active[type].call(this) : '';
            });
        });
	</script>
</body>
</html>
